function CLASS_MSN_MESSAGE(id,width,height,caption,title,message,target,action){ 
this.id = id; 
this.title = title; 
this.caption= caption; 
this.message= message; 
this.target = target; 
this.action = action; 
this.width = width?width:200; 
this.height = height?height:120; 
this.timeout= 150; 
this.speed = 20; 
this.step = 1; 
this.right = screen.width -1; 
this.bottom = screen.height; 
this.left = this.right - this.width; 
this.top = this.bottom - this.height; 
this.timer = 0; 
this.pause = false; 
this.close = false; 
this.autoHide = true; 
} 

/**//* 
* 隐藏消息方法 
*/ 
CLASS_MSN_MESSAGE.prototype.hide = function(){ 
if(this.onunload()){ 

var offset = this.height>this.bottom-this.top?this.height:this.bottom-this.top; 
var me = this; 

if(this.timer>0){ 
window.clearInterval(me.timer); 
} 

var fun = function(){ 
if(me.pause==false||me.close){ 
var x = me.left; 
var y = 0; 
var width = me.width; 
var height = 0; 
if(me.offset>0){ 
height = me.offset; 
} 

y = me.bottom - height; 

if(y>=me.bottom){ 
window.clearInterval(me.timer); 
me.Pop.hide(); 
} else { 
me.offset = me.offset - me.step; 
} 
me.Pop.show(x,y,width,height); 
} 
} 

this.timer = window.setInterval(fun,this.speed) 
} 
} 

/**//* 
* 消息卸载事件，可以重写 
*/ 
CLASS_MSN_MESSAGE.prototype.onunload = function() { 
Onclosemessage();

return true; 
} 
/**//* 
* 消息命令事件，要实现自己的连接，请重写它 
* 
*/ 
CLASS_MSN_MESSAGE.prototype.oncommand = function(){ 
//this.close = true; 
this.hide(); 
window.open("N25_Office2_Meeting_Detail.aspx"); 

} 
/**//* 
* 消息显示方法 
*/ 
CLASS_MSN_MESSAGE.prototype.show = function(){ 

var oPopup = window.createPopup(); //IE5.5+ 

this.Pop = oPopup; 

var w = this.width; 
var h = this.height; 

var str = "<DIV style='BORDER-RIGHT: #455690 1px solid; BORDER-TOP: #a6b4cf 1px solid; Z-INDEX: 99999; LEFT: 0px; BORDER-LEFT: #a6b4cf 1px solid; WIDTH: " + w + "px; BORDER-BOTTOM: #455690 1px solid; POSITION: absolute; TOP: 0px; HEIGHT: " + h + "px; BACKGROUND-COLOR: #c9d3f3'>" 
str += "<TABLE style='BORDER-TOP: #ffffff 1px solid; BORDER-LEFT: #ffffff 1px solid' cellSpacing=0 cellPadding=0 width='100%' bgColor=#cfdef4 border=0>" 
str += "<TR>" 
str += "<TD style='FONT-SIZE: 12px;COLOR: #0f2c8c' width=30 height=24></TD>" 
str += "<TD style='PADDING-LEFT: 4px; FONT-WEIGHT: normal; FONT-SIZE: 12px; COLOR: #1f336b; PADDING-TOP: 4px' vAlign=center width='100%'>" + this.caption + "</TD>" 
str += "<TD style='PADDING-RIGHT: 2px; PADDING-TOP: 2px' vAlign=center align=right width=19>" 
str += "<SPAN title=关闭 style='FONT-WEIGHT: bold; FONT-SIZE: 12px; CURSOR: hand; COLOR: red; MARGIN-RIGHT: 4px' id='btSysClose' >×</SPAN></TD>" 
str += "</TR>" 
str += "<TR>" 
str += "<TD style='PADDING-RIGHT: 1px;PADDING-BOTTOM: 1px' colSpan=3 height=" + (h-28) + ">" 
str += "<DIV style='BORDER-RIGHT: #b9c9ef 1px solid; PADDING-RIGHT: 8px; BORDER-TOP: #728eb8 1px solid; PADDING-LEFT: 8px; FONT-SIZE: 12px; PADDING-BOTTOM: 8px; BORDER-LEFT: #728eb8 1px solid; WIDTH: 100%; COLOR: #1f336b; PADDING-TOP: 8px; BORDER-BOTTOM: #b9c9ef 1px solid; HEIGHT: 100%'>" + this.title + "<BR><BR>" 
str += "<DIV style='WORD-BREAK: break-all' align=left>"+ this.message +"</DIV>" 
str += "</DIV>" 
str += "</TD>" 
str += "</TR>" 
str += "</TABLE>" 
str += "</DIV>" 

oPopup.document.body.innerHTML = str; 


this.offset = 0; 
var me = this; 

oPopup.document.body.onmouseover = function(){me.pause=true;} 
oPopup.document.body.onmouseout = function(){me.pause=false;} 

var fun = function(){ 
var x = me.left; 
var y = 0; 
var width = me.width; 
var height = me.height; 

if(me.offset>me.height){ 
height = me.height; 
} else { 
height = me.offset; 
} 

y = me.bottom - me.offset; 
if(y<=me.top){ 
me.timeout--; 
if(me.timeout==0){ 
window.clearInterval(me.timer); 
if(me.autoHide){ 
me.hide(); 
} 
} 
} else { 
me.offset = me.offset + me.step; 
} 
me.Pop.show(x,y,width,height); 

} 

this.timer = window.setInterval(fun,this.speed) 



var btClose = oPopup.document.getElementById("btSysClose"); 

btClose.onclick = function(){ 
me.close = true; 
me.hide(); 
} 

//var btCommand = oPopup.document.getElementById("btCommand"); 
//btCommand.onclick = function(){ 
//me.oncommand(); 
//} 
//var ommand = oPopup.document.getElementById("ommand"); 
//ommand.onclick = function(){ 
//this.close = true; 
//me.hide(); 
//window.open(ommand.href); 
//} 
var ommand1 = oPopup.document.getElementById("ommand1"); 
if (ommand1!=null)
{
ommand1.onclick = function(){ 
//this.close = true; 
me.hide(); 
window.open(ommand1.href); 
} 
}


var ommand2 = oPopup.document.getElementById("ommand2"); 
if (ommand2!=null)
{
ommand2.onclick = function(){ 
//this.close = true; 
me.hide(); 
window.open(ommand2.href); 
} 
}


var ommand3 = oPopup.document.getElementById("ommand3"); 
if (ommand3!=null)
{
ommand3.onclick = function(){ 
//this.close = true; 
me.hide(); 
window.open(ommand3.href); 
} 
}
var ommand4 = oPopup.document.getElementById("ommand4"); 
if (ommand4!=null)
{
ommand4.onclick = function(){ 
//this.close = true; 
me.hide(); 
window.open(ommand4.href); 
} 
}

var ommand5 = oPopup.document.getElementById("ommand5"); 
if (ommand5!=null)
{
ommand5.onclick = function(){ 
//this.close = true; 
me.hide(); 
window.open(ommand5.href); 
} 
}

var ommand6 = oPopup.document.getElementById("ommand6"); 
if (ommand6!=null)
{
ommand6.onclick = function(){ 
//this.close = true; 
me.hide(); 
window.open(ommand6.href); 
} 
}


var ommand7 = oPopup.document.getElementById("ommand7"); 
if (ommand7!=null)
{
ommand7.onclick = function(){ 
//this.close = true; 
me.hide(); 
window.open(ommand7.href); 
} 
}

var ommand8 = oPopup.document.getElementById("ommand8"); 
if (ommand8!=null)
{
ommand8.onclick = function(){ 
//this.close = true; 
me.hide(); 
window.open(ommand8.href); 
} 
}

var ommand9 = oPopup.document.getElementById("ommand9"); 
if (ommand9!=null)
{
ommand9.onclick = function(){ 
//this.close = true; 
me.hide(); 
window.open(ommand9.href); 
} 
}


var ommand10 = oPopup.document.getElementById("ommand10"); 
if (ommand10!=null)
{
ommand10.onclick = function(){ 
//this.close = true; 
me.hide(); 
window.open(ommand10.href); 
} 
}
var ommand11 = oPopup.document.getElementById("ommand11"); 
if (ommand11!=null)
{
ommand11.onclick = function(){ 
//this.close = true; 
me.hide(); 
window.open(ommand11.href); 
} 
}



} 
/**//* 
** 设置速度方法 
**/ 
CLASS_MSN_MESSAGE.prototype.speed = function(s){ 
var t = 20; 
try { 
t = praseInt(s); 
} catch(e){} 
this.speed = t; 
} 
/**//* 
** 设置步长方法 
**/ 
CLASS_MSN_MESSAGE.prototype.step = function(s){ 
var t = 1; 
try { 
t = praseInt(s); 
} catch(e){} 
this.step = t; 
} 

CLASS_MSN_MESSAGE.prototype.rect = function(left,right,top,bottom){ 
try { 
this.left = left !=null?left:this.right-this.width; 
this.right = right !=null?right:this.left +this.width; 
this.bottom = bottom!=null?(bottom>screen.height?screen.height:bottom):screen.height; 
this.top = top !=null?top:this.bottom - this.height; 
} catch(e){} 
} 

